#hero {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: calc(100vh - 200px);
    overflow: hidden;
}

#hero > #slide {
    position: relative;
    aspect-ratio: 4 / 3;
    color: var(--primary_color);
    border: solid 20px;
    box-shadow: 0 0 0 40px var(--primary_color);
    box-sizing: border-box;
    overflow: hidden;
    margin: 0;
    border-radius: inherit;
}

#hero > #slide > * {
    position: absolute;
    width: 100%;
    max-height: 100vh;
    left: 100%;
    aspect-ratio: 4 / 3;
    background-size: cover;
    background-position: center;
    transition: none;
    will-change: left;
}

#hero > #slide > .active {
    left: 0;
    transition: var(--slide_speed);
}


#hero > #slide > .not-active {
    left: -100%;
    transition: var(--slide_speed);
}

#hero > #slide > [data-index="0"] {
    background-image: url("./assets/slide_backgrounds/0.webp");
}

#hero > #slide > [data-index="1"] {
    background-image: url("./assets/slide_backgrounds/1.webp");
}

#hero > #slide > [data-index="2"] {
    background-image: url("./assets/slide_backgrounds/2.webp");
}

#hero > #slide > [data-index="3"] {
    background-image: url("./assets/slide_backgrounds/3.webp");
}

#hero > #slide > [data-index="4"] {
    background-image: url("./assets/slide_backgrounds/4.webp");
}

#hero > #slide > * > #content {
    position: absolute;
    background-color: var(--base_color);
    filter: opacity(0.67) contrast(1.5);
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0);
    width: 50%;
    height: fit-content;
    padding: 10px;
    text-align: center;
    box-sizing: border-box;
    border-radius: 20px 20px 0 0;
}   

#hero > #booking {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 40px;
    text-align: center;
    justify-content: center;
}

#about_us > h1 {
    text-align: center;
    margin-bottom: 25px;
}

#about_us > div {
    margin-bottom: 50px;
}

#about_us > div > h2 {
    text-align: center;
}

#about_us > div > p {
    margin-left: 20px;
    margin-right: 20px;
    text-align: center;
}

#services > div {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
}

#services > div > div {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    gap: 0;
    position: relative;
    width: 90%;
    box-sizing: border-box;
    aspect-ratio: 4/3;
    color: var(--fore_color);
    border-radius: 10px;
    background-size: cover;
    background-position: center right;
}

#services > div > div:nth-of-type(1) {
    background-image: url("./assets/general_care.webp");
}

#services > div > div:nth-of-type(2) {
    background-image: url("./assets/medical_care.webp");
}

#services > div > div:nth-of-type(3) {
    background-image: url("./assets/physical_care.webp");
}

#services > div > div > div {
    display: flex;
    flex-direction: column;
    position: absolute;
    padding: 15px;
    box-sizing: border-box;
    left: 0;
    bottom: 0;
    width: 100%;
    height: fit-content;
    gap: 10px;
    border-radius: 10px;
    box-shadow: 0 0 10px black;
}

#services > div > div > div:before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: var(--base_color);
    opacity: 0.65;
    border-radius: 10px;
}

#services > div > div > div > * {
    position: relative;
    margin: 0;
    opacity: 1;
}

#services > div > div > div > p {
    font-weight: 600;
}

#message > p {
    margin: auto;
    width: 80%;
    text-align: center;
}

@media (min-width: 750px) {
    section {
        margin-left: 40%;
    }

    #hero {
        top: 120px;
        position: fixed;
        height: calc(100vh - 120px);
        width: 40%;
        border-radius: 0;
        border-right: 8px solid #1e453e;
    }
    
    #hero > #slide::after {
        background: linear-gradient(
            0 var(--primary_color),
            100% #0000,
        );
    }

    #hero > #slide > * > #content {
        bottom: 30%;
        border-radius: 20px;
        max-width: 20rem;
    }

    #hero > #booking {
        flex-grow: 2;
        min-width: 270px;
        width: auto;
        margin: 0 auto;
    }

    #about_us {
        width: 60%;
        padding-left: 120px;
        padding-right: 120px;
    }

    #about_us > div > * {
        text-align: justify !important;
    }

    #about_us > div > h2 {
        text-align: left;
    }

    #services { 
        justify-content: center;
        padding: 20px;
        border-radius: 0 20px 20px 20px;
    }

    #services > div {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }

    #services > div > div {
        width: 60%;
        aspect-ratio: 2;
        margin: 20px 0;
        align-items: flex-end;
        background-size: 65% 100%;
        background-position: left;
        background-repeat: no-repeat;
    }
    
    #services > div > div > div {
        position: inherit;
        height: 100%;
        width: 35%;
        padding: 20px;
        gap: 20px;
    }

    #services > div > div > div:before {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }
}